import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetManageUsersRolesService = createAsyncThunk(
  "PROVINCE_GET_MANAGE_USERS_ROLES_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("system_user_profile/", {
      params: { all_users: true, userprofile_key: d.userProfileKey },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
